View Issue Details

IDProjectCategoryView StatusLast Update
0002832SymmetricDSImprovementpublic2016-09-29 21:01
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.5 
Target Version3.8.5Fixed in Version3.8.5 
Summary0002832: Sql server unable to read meta data (tables) from when using other databases
DescriptionWhile looking up tables in a different MS SQL database sometimes these tables are unable to get read from the meta data unless switching the catalog on the JDBC connection.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 8eb96b5e

2016-09-28 09:58:19

josh-a-hicks

Details Diff
0002832: Sql server unable to read meta data (tables) from when using
other databases

0002832
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/AbstractSqlTemplate.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/ChangeCatalogConnectionHandler.java Diff File
add - symmetric-db/src/main/java/org/jumpmind/db/sql/IConnectionHandler.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTemplate.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlReadCursor.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2016-09-27 15:58 josh-a-hicks New Issue
2016-09-27 15:58 josh-a-hicks Status new => assigned
2016-09-27 15:58 josh-a-hicks Assigned To => josh-a-hicks
2016-09-28 10:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 8eb96b5e
2016-09-29 07:54 josh-a-hicks Status assigned => resolved
2016-09-29 07:54 josh-a-hicks Fixed in Version => 3.8.5
2016-09-29 07:54 josh-a-hicks Resolution open => fixed
2016-09-29 21:01 admin Status resolved => closed